Bug 595350 - DOCS: /usr/sbin/libvirtd does not have a man page
DOCS: /usr/sbin/libvirtd does not have a man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Justin Clift
Virtualization Bugs
:
Depends On:
Blocks: 618750 Rhel6.1LibvirtTier2
  Show dependency treegraph
 
Reported: 2010-05-24 08:31 EDT by Daniel Berrange
Modified: 2015-09-27 22:08 EDT (History)
7 users (show)

See Also:
Fixed In Version: libvirt-0.8.7-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 618750 (view as bug list)
Environment:
Last Closed: 2011-05-19 09:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0596 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-05-18 13:56:36 EDT

  None (edit)
Description Daniel Berrange 2010-05-24 08:31:06 EDT
Description of problem:
All executables in /usr/bin and /usr/sbin should have man pages. libvirtd does not have one.

Version-Release number of selected component (if applicable):
0.8.1-1.el6

How reproducible:
Always

Steps to Reproduce:
1. man libvirtd
2.
3.
  
Actual results:
None found

Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2010-06-07 11:59:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Justin Clift 2010-07-08 15:25:25 EDT
A patch has been submitted upstream for adding a man page for libvirtd:

  https://www.redhat.com/archives/libvir-list/2010-July/msg00171.html
Comment 4 Justin Clift 2010-07-09 10:41:38 EDT
The patch for this has been pushed into upstream source.
Comment 5 Justin Clift 2010-07-12 15:44:05 EDT
Additional patch, removing the requirement of unicode support in pod2man:

  https://www.redhat.com/archives/libvir-list/2010-July/msg00251.html

I still need to get this included in RHEL 6.
Comment 7 Daniel Veillard 2010-10-11 11:36:02 EDT
Patch is upstream, 

Daniel
Comment 8 Justin Clift 2011-01-07 13:13:10 EST
This was included in upstream libvirt some time ago, by these two commits:

commit c6a6dc1d2d04b1d5aeb6978577f4d08a216f93ed
Author: Justin Clift <jclift@redhat.com>
Date:   Fri Jul 9 19:21:39 2010 +1000

    libvirtd: add man page for libvirtd

    With gracious thanks to Chris Lalancette for helping knock the
    description section into shape.

    This addresses BZ #595350

      https://bugzilla.redhat.com/show_bug.cgi?id=595350


commit de7d4c6ae7b08db0e00a8250e4d0dff134702b4d
Author: Justin Clift <jclift@redhat.com>
Date:   Tue Jul 13 05:33:35 2010 +1000

    man pages: update authors and copyright notice for libvirtd and virsh

    This patch removes the individual author names from the libvirtd and virsh
    man pages, instead referring to the main AUTHORS file distributed with
    libvirt.  This approach is needed, as we can't guarantee unicode support
    across all versions of pod2man used with libvirt.

    Additionally, this patch includes the libvirtd man page in the spec file
    used with "make rpm".  Without this patch "make rpm" is broken.
Comment 9 Jiri Denemark 2011-01-09 18:57:53 EST
Built into libvirt-0.8.7-1.el6
Comment 10 Cui Chun 2011-01-10 05:24:34 EST
Verified. Passed. 

Test environment:
libvirt-0.8.7-1.el6
qemu-kvm-0.12.1.2-2.128.el6
kernel-2.6.32-94.el6

Steps:
1. # man libvirtd
 manual page can be shown correctly.

2.compare manual page with libvirtd help
  All options has been descripted in manual page.
Comment 12 Cui Chun 2011-01-31 21:32:50 EST
Rechecked it on the following test environment according to comment 10. It is passed.

Test environment:
libvirt-0.8.7-4.el6
qemu-kvm-0.12.1.2-2.132.el6
kernel-2.6.32-94.el6
Comment 17 errata-xmlrpc 2011-05-19 09:18:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0596.html

Note You need to log in before you can comment on or make changes to this bug.